package sun.rmi.transport.proxy;

import java.net.ServerSocket;
import java.io.IOException;
import java.net.Socket;
import java.rmi.server.RMISocketFactory;

public class RMIDirectSocketFactory extends RMISocketFactory
{
    public RMIDirectSocketFactory() {
    }
    
    @Override
    public Socket createSocket(String host, int port) throws IOException {
        return new Socket(host, port);
    }
    
    @Override
    public ServerSocket createServerSocket(int port) throws IOException {
        return new ServerSocket(port);
    }
}
